ggiGetPixelFormat(3)

NAME
ggiGetPixelFormat : Get a structure describing the format of a pixelvalue from a visual

SYNOPSIS
#include <ggi/ggi.h>
const ggi_pixelformat *ggiGetPixelFormat(ggi_visual_t vis);

DESCRIPTION
This function obtains the default pixel format for the given visual.

RETURN VALUE
Returns a pointer to the ggi_pixelformat(3) structure.
    Important: Modifying the structure returned is not allowed. Do not attempt to free the pointer returned.

SEE ALSO
ggiMapColor(3), ggi_pixelformat(3)